Debian Bug report logs - #729448
openjdk-7: FTBFS on mips and mipsel

version graph

Package: src:openjdk-7; Maintainer for src:openjdk-7 is OpenJDK Team <openjdk@lists.launchpad.net>;

Reported by: Aurelien Jarno <aurel32@debian.org>

Date: Wed, 13 Nov 2013 00:27:02 UTC

Severity: important

Tags: patch, upstream

Found in version openjdk-7/2.3.12-4

Fixed in version openjdk-7/7u45-2.4.3-1

Done: Matthias Klose <doko@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#729448; Package src:openjdk-7. (Wed, 13 Nov 2013 00:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
New Bug report received and forwarded. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Wed, 13 Nov 2013 00:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openjdk-7: FTBFS on mips and mipsel
Date: Wed, 13 Nov 2013 01:25:37 +0100
[Message part 1 (text/plain, inline)]
Package: src:openjdk-7
Version: 2.3.12-4
Severity: important
Tags: upstream patch
Justification: fails to build from source

openjdk-7 fails to build on mips and mipsel with a SIGBUS when the JVM
is executed. This is due to ugly casts in hotspot, which do not respect
the alignment of the type it casts into, but instead only maintain a
32-bit alignement on 32-bit machine, even for 64-bit types. The problem
appears only when built with GCC version greater than 4.4, as it seems
GCC then started to be more aggressive about load/store optimisations.

The attached patch fixes the problem. With it I was able to get a fairly
decent testsuite result on both mips and mipsel (see below), comparable
to the other architectures using zero and for which the testsuite is not
disabled.

mips
----
| --------------- jtreg console summary for hotspot ---------------
| Error:  compiler/5091921/Test6196102.java
| Error:  compiler/5091921/Test6850611.java
| Error:  compiler/5091921/Test6890943.java
| Error:  compiler/5091921/Test6897150.java
| Error:  compiler/5091921/Test6905845.java
| Error:  compiler/5091921/Test6931567.java
| Error:  compiler/5091921/Test6992759.java
| Error:  compiler/5091921/Test7020614.java
| Error:  compiler/6851282/Test.java
| Error:  compiler/6866651/Test.java
| Error:  compiler/6901572/Test.java
| Error:  compiler/6942326/Test.java
| Error:  compiler/7024475/Test7024475.java
| Error:  compiler/7047069/Test7047069.java
| Error:  compiler/7100757/Test7100757.java
| FAILED: compiler/7141637/SpreadNullArg.java
| FAILED: runtime/6929067/Test6929067.sh
| Test results: passed: 146; failed: 2; error: 15
| --------------- jtreg console summary for langtools ---------------
| FAILED: com/sun/javadoc/testJavascript/TestJavascript.java
| FAILED: com/sun/javadoc/testNestedGenerics/TestNestedGenerics.java
| Error:  tools/javac/Diagnostics/6769027/T6769027.java
| FAILED: tools/javac/processing/6499119/ClassProcessor.java
| FAILED: tools/javac/T5090006/T5090006.java
| Error:  tools/javac/versions/check.sh
| Test results: passed: 1,938; failed: 4; error: 2
| END jtreg-summary-zero

mipsel
------
| --------------- jtreg console summary for hotspot ---------------
| Error:  compiler/5091921/Test6850611.java
| Error:  compiler/5091921/Test6890943.java
| Error:  compiler/5091921/Test6897150.java
| Error:  compiler/5091921/Test6905845.java
| Error:  compiler/5091921/Test6931567.java
| Error:  compiler/5091921/Test6992759.java
| Error:  compiler/5091921/Test7020614.java
| Error:  compiler/6663621/IVTest.java
| Error:  compiler/6851282/Test.java
| Error:  compiler/6866651/Test.java
| Error:  compiler/6901572/Test.java
| Error:  compiler/6942326/Test.java
| Error:  compiler/6968348/Test6968348.java
| Error:  compiler/7024475/Test7024475.java
| Error:  compiler/7047069/Test7047069.java
| Error:  compiler/7100757/Test7100757.java
| FAILED: compiler/7141637/SpreadNullArg.java
| FAILED: compiler/7158807/Test7158807.java
| Error:  runtime/6925573/SortMethodsTest.java
| FAILED: runtime/6929067/Test6929067.sh
| Test results: passed: 143; failed: 3; error: 17
| --------------- jtreg console summary for langtools ---------------
| FAILED: com/sun/javadoc/testJavascript/TestJavascript.java
| FAILED: com/sun/javadoc/testNestedGenerics/TestNestedGenerics.java
| Error:  tools/javac/Diagnostics/6769027/T6769027.java
| Error:  tools/javac/diags/RunExamples.java
| FAILED: tools/javac/processing/6499119/ClassProcessor.java
| FAILED: tools/javac/T5090006/T5090006.java
| Error:  tools/javac/versions/check.sh
| Test results: passed: 1,937; failed: 4; error: 3


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: mips (mips64)

Kernel: Linux 3.2.0-4-5kc-malta
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[openjdk-7.mips-mipsel.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#729448; Package src:openjdk-7. (Wed, 13 Nov 2013 20:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Wed, 13 Nov 2013 20:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 729448@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: "debian-mips@lists.debian.org" <debian-mips@lists.debian.org>, Debian Release Team <debian-release@lists.debian.org>, 729448@bugs.debian.org
Subject: Re: Replacing openjdk-6 with gcj-jdk as default java for mips{,el}
Date: Wed, 13 Nov 2013 20:03:08 +0000
[Message part 1 (text/plain, inline)]
On 13/11/13 00:29, Aurelien Jarno wrote:
> I have finally been able to fix openjdk-7 on mips and mipsel. It was a
> problem of ugly casts done without taking care of alignement issues. See
> bug #729448 for more details.

This patch may also be desirable for openjdk-6;  mips(el) is out-of-date
at building security updates with the same failure.  Not sure if such a
change would have to go through s-p-u first, or directly applied in a
security upload.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Matthias Klose <doko@ubuntu.com>:
You have taken responsibility. (Mon, 09 Dec 2013 12:39:34 GMT) Full text and rfc822 format available.

Notification sent to Aurelien Jarno <aurel32@debian.org>:
Bug acknowledged by developer. (Mon, 09 Dec 2013 12:39:34 GMT) Full text and rfc822 format available.

Message #15 received at 729448-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: 729448-close@bugs.debian.org
Subject: Bug#729448: fixed in openjdk-7 7u45-2.4.3-1
Date: Mon, 09 Dec 2013 12:35:11 +0000
Source: openjdk-7
Source-Version: 7u45-2.4.3-1

We believe that the bug you reported is fixed in the latest version of
openjdk-7, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 729448@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@ubuntu.com> (supplier of updated openjdk-7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Dec 2013 23:22:06 +0100
Source: openjdk-7
Binary: openjdk-7-jdk openjdk-7-jre-headless openjdk-7-jre openjdk-7-jre-lib openjdk-7-demo openjdk-7-source openjdk-7-doc openjdk-7-dbg icedtea-7-jre-jamvm openjdk-7-jre-zero
Architecture: source i386 all
Version: 7u45-2.4.3-1
Distribution: unstable
Urgency: medium
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Changed-By: Matthias Klose <doko@ubuntu.com>
Description: 
 icedtea-7-jre-jamvm - Alternative JVM for OpenJDK, using JamVM
 openjdk-7-dbg - Java runtime based on OpenJDK (debugging symbols)
 openjdk-7-demo - Java runtime based on OpenJDK (demos and examples)
 openjdk-7-doc - OpenJDK Development Kit (JDK) documentation
 openjdk-7-jdk - OpenJDK Development Kit (JDK)
 openjdk-7-jre - OpenJDK Java runtime, using ${vm:Name}
 openjdk-7-jre-headless - OpenJDK Java runtime, using ${vm:Name} (headless)
 openjdk-7-jre-lib - OpenJDK Java runtime (architecture independent libraries)
 openjdk-7-jre-zero - Alternative JVM for OpenJDK, using Zero/Shark
 openjdk-7-source - OpenJDK Development Kit (JDK) source files
Closes: 641049 722510 724083 729448
Changes: 
 openjdk-7 (7u45-2.4.3-1) unstable; urgency=medium
 .
   * IcedTea7 2.4.3 release.
   * Security fixes:
     - S8006900, CVE-2013-3829: Add new date/time capability.
     - S8008589: Better MBean permission validation.
     - S8011071, CVE-2013-5780: Better crypto provider handling.
     - S8011081, CVE-2013-5772: Improve jhat.
     - S8011157, CVE-2013-5814: Improve CORBA portablility.
     - S8012071, CVE-2013-5790: Better Building of Beans.
     - S8012147: Improve tool support.
     - S8012277: CVE-2013-5849: Improve AWT DataFlavor.
     - S8012425, CVE-2013-5802: Transform TransformerFactory.
     - S8013503, CVE-2013-5851: Improve stream factories.
     - S8013506: Better Pack200 data handling.
     - S8013510, CVE-2013-5809: Augment image writing code.
     - S8013514: Improve stability of cmap class.
     - S8013739, CVE-2013-5817: Better LDAP resource management.
     - S8013744, CVE-2013-5783: Better tabling for AWT.
     - S8014085: Better serialization support in JMX classes.
     - S8014093, CVE-2013-5782: Improve parsing of images.
     - S8014098: Better profile validation.
     - S8014102, CVE-2013-5778: Improve image conversion.
     - S8014341, CVE-2013-5803: Better service from Kerberos servers.
     - S8014349, CVE-2013-5840: (cl) Class.getDeclaredClass problematic
       in some class loader configurations.
     - S8014530, CVE-2013-5825: Better digital signature processing.
     - S8014534: Better profiling support.
     - S8014987, CVE-2013-5842: Augment serialization handling.
     - S8015614: Update build settings.
     - S8015731: Subject java.security.auth.subject to improvements.
     - S8015743, CVE-2013-5774: Address internet addresses.
     - S8016256: Make finalization final.
     - S8016653, CVE-2013-5804: javadoc should ignore ignoreable characters
       in names.
     - S8016675, CVE-2013-5797: Make Javadoc pages more robust.
     - S8017196, CVE-2013-5850: Ensure Proxies are handled appropriately.
     - S8017287, CVE-2013-5829: Better resource disposal.
     - S8017291, CVE-2013-5830: Cast Proxies Aside.
     - S8017298, CVE-2013-4002: Better XML support.
     - S8017300, CVE-2013-5784: Improve Interface Implementation.
     - S8017505, CVE-2013-5820: Better Client Service.
     - S8019292: Better Attribute Value Exceptions.
     - S8019617: Better view of objects.
     - S8020293: JVM crash.
     - S8021275, CVE-2013-5805: Better screening for ScreenMenu.
     - S8021282, CVE-2013-5806: Better recycling of object instances.
     - S8021286: Improve MacOS resourcing.
     - S8021290, CVE-2013-5823: Better signature validation.
     - S8022931, CVE-2013-5800: Enhance Kerberos exceptions.
     - S8022940: Enhance CORBA translations.
     - S8023683: Enhance class file parsing.
   * Fix build failure on mips* (Aurelien Jarno). Closes: #729448).
   * Run autoreconf. Closes: #724083.
   * Merge the -jre-lib package into -jre-headless. Simplifies the packaging
     and the savings were not as big as wanted, because the rt.jar is still
     architecture dependant. Closes: #641049, #722510.
Checksums-Sha1: 
 79770368afeb4ddb5eef7cf3a6441000200fb04f 2949 openjdk-7_7u45-2.4.3-1.dsc
 efc4be43c08796eb76dea06990e2cd78df729f63 68854291 openjdk-7_7u45-2.4.3.orig.tar.gz
 8df5beadaa6a47ceef66901e4df0181486b62007 181305 openjdk-7_7u45-2.4.3-1.diff.gz
 ac7f8d685dd422c20e76bf43e93fc494de9e684c 16108474 openjdk-7-jdk_7u45-2.4.3-1_i386.deb
 a0024d491c324c0474479056308e9c8cc55d170b 41087388 openjdk-7-jre-headless_7u45-2.4.3-1_i386.deb
 1b3183962ed20eb80562ae89b07ebb9884a1bbca 180302 openjdk-7-jre_7u45-2.4.3-1_i386.deb
 b6dc39522d94ecaeeda0d51dd71916d6858f41dc 1882178 openjdk-7-demo_7u45-2.4.3-1_i386.deb
 0b19f777309af390fc8cf0dbd4117f357d207067 79193864 openjdk-7-dbg_7u45-2.4.3-1_i386.deb
 aa05ce7c88291c55e8f85913c7aa52dddc024ae2 461260 icedtea-7-jre-jamvm_7u45-2.4.3-1_i386.deb
 58fb06dc02dbd62d2c0a02dc8063811d4726fa84 69178 openjdk-7-jre-lib_7u45-2.4.3-1_all.deb
 658b52132a6097fbf48853d80fcbeefb2c3f1210 39906456 openjdk-7-source_7u45-2.4.3-1_all.deb
 ebfa209661757c3e41aa35806c4a931b10a8b675 10847866 openjdk-7-doc_7u45-2.4.3-1_all.deb
Checksums-Sha256: 
 413e4f2d640c356801ae91cd156274a65e549bae0f603214005b6c60d7c4e15c 2949 openjdk-7_7u45-2.4.3-1.dsc
 a194b884e963379affbaece41e359add13ac1ceb6d70d2e654820b156e55dbed 68854291 openjdk-7_7u45-2.4.3.orig.tar.gz
 ce55e692a41c9ac43b218fc88500b647a773353a57fcf4cfc8913e4610063f33 181305 openjdk-7_7u45-2.4.3-1.diff.gz
 0e24d43523e4d8449bc471b0e7d92335eba081cf16e1ae40025c4871d55177cb 16108474 openjdk-7-jdk_7u45-2.4.3-1_i386.deb
 2945cdd87f339a15f7ba5d169c6ccda124bea8910edb61dad70bf4dcb50467cd 41087388 openjdk-7-jre-headless_7u45-2.4.3-1_i386.deb
 05c4691dc9a659e163328f5f4a83229626cefc1bb86a01bb892ef31c5da7111c 180302 openjdk-7-jre_7u45-2.4.3-1_i386.deb
 39beaf387eae899a0a4f55b8f0038d68e1c7dbe848fae73a0d4c3d26e7778029 1882178 openjdk-7-demo_7u45-2.4.3-1_i386.deb
 411a35c2a3250e504d357ce74b3fa799e133c7b259b45597efbb438d5048e32c 79193864 openjdk-7-dbg_7u45-2.4.3-1_i386.deb
 5f95a656b371dbf2fe643c49125281bc92ecef44c0eef42bcc0a57b666cc491f 461260 icedtea-7-jre-jamvm_7u45-2.4.3-1_i386.deb
 3308cb0ca3072ef8a313530a28ada28610c96cb6f63acb3a12ee38c04ab9199c 69178 openjdk-7-jre-lib_7u45-2.4.3-1_all.deb
 5e60261b38c2ab61ab9041fcac19010970bbf170ac461bc1c3f22c6500dc7594 39906456 openjdk-7-source_7u45-2.4.3-1_all.deb
 f18c21b671a3e562b882d3557f9f85b801810a3c67f6d4fa3ad71bb820fc92b0 10847866 openjdk-7-doc_7u45-2.4.3-1_all.deb
Files: 
 dc9b8cab9544462def7f2430d15cbc2c 2949 java optional openjdk-7_7u45-2.4.3-1.dsc
 197b269aee45a819eb564a0d1b6cb10a 68854291 java optional openjdk-7_7u45-2.4.3.orig.tar.gz
 5304287e23ef71b6e5cfbc99967959b1 181305 java optional openjdk-7_7u45-2.4.3-1.diff.gz
 40b71ca51b9c0d2759c503dc99c4d5c6 16108474 java optional openjdk-7-jdk_7u45-2.4.3-1_i386.deb
 f1f9e7c4c64bd7b3662ab733ccf71862 41087388 java optional openjdk-7-jre-headless_7u45-2.4.3-1_i386.deb
 a18094f3598e8acd2e3f8c7f5b3a48a6 180302 java optional openjdk-7-jre_7u45-2.4.3-1_i386.deb
 919e940103b8ae3efad4521a6104a360 1882178 java extra openjdk-7-demo_7u45-2.4.3-1_i386.deb
 506749000a51b28fbe55f14f80a2127c 79193864 debug extra openjdk-7-dbg_7u45-2.4.3-1_i386.deb
 6df54bf78daf5c467a24b1ee50f510c6 461260 java extra icedtea-7-jre-jamvm_7u45-2.4.3-1_i386.deb
 b4f14cda0a41592dcc0cb79747ada6d9 69178 java optional openjdk-7-jre-lib_7u45-2.4.3-1_all.deb
 7760e18dd94f0ab9088e9b7e844549e9 39906456 java extra openjdk-7-source_7u45-2.4.3-1_all.deb
 51355692469bd210a069ccd7f0b0e17a 10847866 doc extra openjdk-7-doc_7u45-2.4.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlKltUgACgkQStlRaw+TLJzHGQCbBQ4JhyF99CXUqspIW0Vu1zlx
4rgAn0ZuoEnMPZmFvZAVWcphbMS3jVGm
=KZee
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Jan 2014 07:30:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:17:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.